A=La_lin(1:24,3:4);
La_AK=mean(A,2);

B=C50_lin(1:24,3:4);
C50_AK=mean(B,2);

C=SL(1:24,3:4);
SL_AK=mean(C,2);

figure
yyaxis left
plot(x,La_AK)
ylim([60 74])
xlim([0 12.5])
xticks([1:1:12])
xlabel('Avstand [m]')
ylabel('Bakgrunsstyniv [dB]')

yyaxis right
plot(x,C50_AK)
ylim([4 18])

ylabel('C_{50} [dB]')
grid on
set(gcf,'color', 'w')
export_fig AK -pdf

p=polyfit(x',La_AK,4);

La_fit=zeros(1,24);
for i=1:24
    La_fit(i)=p(1)*x(i)^4+p(2)*x(i)^3+p(3)*x(i)^2+p(4)*x(i)+p(5);
end

p=polyfit(x',C50_AK,4);

C50_fit=zeros(1,24);

for i=1:24
    C50_fit(i)=p(1)*x(i)^4+p(2)*x(i)^3+p(3)*x(i)^2+p(4)*x(i)+p(5);
end

figure
yyaxis left
plot(x,La_fit)
ylim([60 74])
xlim([0 12.5])
xticks([1:1:12])
xlabel('Avstand [m]')
ylabel('Bakgrunsstyniv [dB]')

yyaxis right
plot(x,C50_fit)
ylim([4 18])
xlim([0 12.5])
xticks([1:1:12])
ylabel('C_{50} [dB]')
grid on
set(gcf,'color', 'w')
export_fig AK_fit -pdf

U50_fit=zeros(1,24);
SL_fit=zeros(1,24);
E_SL_fit=zeros(1,24);
E_BL_fit=zeros(1,24);

for i=1:24
  
        SL_fit(i)=55+c*(La_fit(i)-45);
        E_SL_fit(i)=10^(SL_fit(i)/10);
        E_BL_fit(i)=10^(La_fit(i)/10);
        U50_fit(i)=C50_fit(i)/(1+(C50_fit(i))*(E_BL_fit(i)/E_SL_fit(i)));
  
end

figure
plot(x,U50_fit)
ylim([0.5 1])
yticks([0.5:0.05:1])
xlim([0 12.5])
xticks([1:1:12])
grid on
xlabel('Avstand [m]')
ylabel('U_{50} [dB]')
set(gcf, 'color', 'w')
export_fig U50AK -pdf

SNR=SL_fit-La_fit;
mean_SNR=(zeros(1,24));
for i=1:24
    mean_SNR(i)=(mean(SNR));
end

figure
plot(x,SNR)
hold on
plot(x,mean_SNR)
hold off

ylim([-3 0])
yticks([-3:0.25:0])
xlim([0 12.5])
xticks([1:1:12])
grid on
xlabel('Avstand [m]')

ylabel('Signal-sty-fohold [dB]')
set(gcf, 'color', 'w')
legend('Signal-sty-forhold', 'Midlere signal-sty-forhold')
export_fig SNR_AK -pdf


while max(La_fit)<72
if max(La_fit)<71
    La_fit=La_fit+1;
elseif max(La_fit)>71
    La_fit=La_fit-(max(La_fit)-71);
else
    break
end
end

SL_fit_max=zeros(1,24);
for i=1:24
    SL_fit(i)=55+c*(La_fit(i)-45);
end

SNR=SL_fit-La_fit;


figure
plot(SNR)
ylim([-4.5 -1.5])
yticks([-4.5:0.25:-1.5])
xlim([0 12.5])
xticks([0:1:12])
grid on
